Skip to main content
GET
/
clients
/
contacts
/
{candidateId}
Get contacts by candidate ID
curl --request GET \
  --url https://api.gospott.com/clients/contacts/{candidateId} \
  --header 'x-api-key: <api-key>'
{
  "candidateId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "avatarUrl": "<string>",
  "locations": [
    {
      "type": "primary_home",
      "street1": "<string>",
      "street2": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "region": "<string>",
      "state": "<string>",
      "country": "<string>",
      "rawCityCountry": "<string>",
      "latitude": 123,
      "longitude": 123,
      "formattedAddress": "<string>"
    }
  ],
  "lastInteractionDate": "2023-11-07T05:31:56Z",
  "lastInteractionWith": {
    "id": "<string>",
    "name": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  },
  "nextInteractionDate": "2023-11-07T05:31:56Z",
  "nextInteractionWith": {
    "id": "<string>",
    "name": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  },
  "lastActivityDate": "2023-11-07T05:31:56Z",
  "clientContacts": [
    {
      "id": "<string>",
      "company": {
        "id": "<string>",
        "name": "<string>",
        "logoUrl": "<string>"
      },
      "role": "<string>",
      "department": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "active": true,
      "emailAddresses": [
        {
          "purpose": "personal",
          "email": "jsmith@example.com",
          "isPrimary": true
        }
      ],
      "phoneNumbers": [
        {
          "purpose": "personal",
          "phoneNumber": "<string>",
          "isPrimary": true
        }
      ],
      "stage": {
        "id": "<string>",
        "order": 123,
        "name": "<string>",
        "colorHex": "<string>"
      },
      "customAttributes": [
        {
          "value": {
            "viewType": "customText",
            "text": "Senior Software Engineer"
          },
          "attributeDefinitionId": "<string>",
          "label": "<string>",
          "aiFillOngoing": true,
          "aiOverridden": true,
          "isFilledByAI": true,
          "options": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "nextTaskDue": {
    "id": "<string>",
    "content": "<string>",
    "dueDate": "2023-11-07T05:31:56Z"
  },
  "mainContact": {
    "userId": "<string>",
    "name": "<string>",
    "email": "<string>",
    "avatarUrl": "<string>",
    "deactivatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

candidateId
string
required

Response

Successfully retrieved Contact overview

candidateId
string
required

ID of the underlying Candidate record

firstName
string
required

First name of the Contact

lastName
string
required

Last name of the Contact

avatarUrl
string | null
required

Avatar/profile picture URL

locations
object[]
required

Locations associated with this contact

lastInteractionDate
string<date-time> | null
required

Date of the most recent interaction

lastInteractionWith
object
required

User who had the most recent interaction

nextInteractionDate
string<date-time> | null
required

Date of the next scheduled interaction

nextInteractionWith
object
required

User scheduled for the next interaction

lastActivityDate
string<date-time>
required

Date of the most recent activity

clientContacts
object[]
required

List of Contact records (company associations) for this person

nextTaskDue
object
required

Next scheduled task due for this Contact

mainContact
object
required

Main contact/owner responsible for this Contact